#include <iostream>

using namespace std;

int main()
{
    int n;
    bool tacno=true;
    cin >> n;
    for(int i=n*2, j=n,p=0;i>n;p++){
        if(p==n)
            cout<<endl;
        if(tacno){
            cout<<j<<" ";tacno=!tacno;
            j--;
        }
        else{
            cout<<i<<" ";
            i--;tacno=!tacno;
        }
    }
}